'use strict'

exports.handleRequest = handleRequest

const util = require('../../util')
const httpUtils = require('../http-utils')
const Logger = util.getLogger(__dirname, __filename)
const KEY = 'savedViews'

// Handle the HTTP request
function handleRequest (req, res) {
  Logger.debug('handling request')

  // update the settings with settingsManager
  httpUtils.deleteSettingByType(req, res, KEY, (err) => {
    if (err) {
      Logger.error(err, 'error updating setttings')
    }
  })
}
