'use strict'

exports.handleRequest = handleRequest

// Handle the HTTP request
function handleRequest (req, res) {
  // Just clear the session cookies
  res.cookie('nsolid-session', null, {
    httpOnly: true,
    expires: new Date(Date.now() + 60 * 60 * 24 * 1000)
  })
  res.cookie('nsolid-refresh', null, {
    httpOnly: true,
    expires: new Date(Date.now() + 60 * 60 * 24 * 1000)
  })
  res.send({ status: 'Logged Out' })
}
